-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

BurglarClass = class();

function BurglarClass:Constructor()
	configHelper:RegisterBarCreator( "Tier1 Skills", 	"Tier1", self.Tier1 );
	configHelper:RegisterBarCreator( "Tier2 Skills", 	"Tier2", self.Tier2 );
	configHelper:RegisterBarCreator( "Tier3 Skills", 	"Tier3", self.Tier3 );
	configHelper:RegisterBarCreator( "Tricks", 			"Tricks", self.Tricks );
	configHelper:RegisterBarCreator( "Trick Removals", 	"TrickRemovals", self.TrickRemovals );
	configHelper:RegisterBarCreator( "Mischief Skills", "Mischief",	self.Mischief );
	configHelper:RegisterBarCreator( "Knockdown Skills", "KnockedDown",	self.KnockedDown );
	configHelper:ConstructBars();
end

function BurglarClass:Tier1( override )
	configHelper:CreateBar( override, "Tier1", 2, 1, 1, 240, 300 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Critical Response" );
	configHelper:AddShortcut( 1, "0x70003F0B", 6, 2 );
end

function BurglarClass:Tier2( override )	
	configHelper:CreateBar( override, "Tier2", 24, 1, 1, 240, 350 );
	configHelper:AddShortcut( 1, "0x70003F0C", 6, 24 );
end

function BurglarClass:Tier3( override )
	configHelper:CreateBar( override, "Tier3", 56, 1, 3, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Double Edged" );
	configHelper:AddShortcut( 1, "0x7000FD86", 6, 56 );
	configHelper:AddShortcut( 2, "0x7000FB71", 6, 58 );
	configHelper:AddShortcut( 3, "0x7000FB73", 6, 60 );
end

function BurglarClass:Tricks( override )
	configHelper:CreateBar( override, "Tricks", 8, 1, 4, 240, 450 );
	configHelper:AddShortcut( 1, "0x700031FA", 6, 8 );
	configHelper:AddShortcut( 2, "0x700031E7", 6, 16 );
	configHelper:AddShortcut( 3, "0x70003200", 6, 26 );
	configHelper:AddShortcut( 4, "0x70003218", 6, 38 );
end

function BurglarClass:TrickRemovals( override )
	configHelper:CreateBar( override, "TrickRemovals", 20, 1, 2, 240, 500 );
	configHelper:AddShortcut( 1, "0x70015A04", 6, 20 );
	configHelper:AddShortcut( 1, "0x70015A04", 6, 52 );
	configHelper:AddShortcut( 2, "0x70020DD0", 6, 64 );
end

function BurglarClass:Mischief( override )
	configHelper:CreateBar( override, "Mischief", 30, 1, 2, 240, 550 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Mischievous" );
	configHelper:AddShortcut( 1, "0x7000D440", 6, 30 );
	configHelper:AddShortcut( 2, "0x7000D441", 6, 46 );
end

function BurglarClass:KnockedDown( override )
	configHelper:CreateBar( override, "KnockedDown", 32, 1, 1, 240, 600 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetBuffTrigger( "Stunned" );
	configHelper:SetBuffTrigger( "Knocked Down" );
	configHelper:SetBuffTrigger( "Dazed" );
	configHelper:AddShortcut( 1, "0x70003F14", 6, 32 );
end