-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

Potions = class();

function Potions:Constructor()
	configHelper:RegisterBarCreator( "Athelas", "Athelas", self.Health, true );
	configHelper:RegisterBarCreator( "Celebrant", "Celebrant", self.Power, true );
	configHelper:RegisterBarCreator( "Draughts/Salves", "Draughts/Salves", self.GeneralEffects, true );
	configHelper:ConstructBars();
end

function Potions:Health( override )
	configHelper:CreateBar( override, "Athelas", 1, 1, 4, 300, 250, TABBED_INV_BAR );
	configHelper:SetTrigger( ConfigurationHelper.HEALTH, 30 );
	configHelper:SetInventoryFilter( "Athelas" );
end

function Potions:Power( override )
	configHelper:CreateBar( override, "Celebrant", 1, 1, 4, 300, 350, TABBED_INV_BAR );
	configHelper:SetTrigger( ConfigurationHelper.POWER, 30 );
	configHelper:SetInventoryFilter( "Celebrant" );
end

function Potions:GeneralEffects( override )
	configHelper:CreateBar( override, "Draughts/Salves", 1, 1, 4, 300, 450, TABBED_INV_BAR );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetTrigger( Turbine.Gameplay.EffectCategory.Disease );
	configHelper:SetTrigger( Turbine.Gameplay.EffectCategory.Fear );
	configHelper:SetTrigger( Turbine.Gameplay.EffectCategory.Poison );
	configHelper:SetTrigger( Turbine.Gameplay.EffectCategory.Wound );	
	configHelper:SetInventoryFilter( "Salve" );
	configHelper:SetInventoryFilter( "Draught" );
end
