-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

HunterClass = class();

function HunterClass:Constructor()
	configHelper:RegisterBarCreator( "Stances", 			"Stance", self.Stance );
	configHelper:RegisterBarCreator( "Focus >= 3 Skills", 	"3 Focus", self.Focus3 );
	configHelper:RegisterBarCreator( "Find The Path", 	"Find The Path", self.FindThePath );
	configHelper:RegisterBarCreator( "Focus >= 6 Skills", 	"6 Focus", self.Focus6 );
	configHelper:ConstructBars();
end

function HunterClass:Stance( override )
	configHelper:CreateBar( override, "Stance", 6, 1, 4, 240, 300 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetTrigger( ConfigurationHelper.CTRL );
	configHelper:SetBuffTrigger( "Stance: Fleet" );
	configHelper:SetBuffTrigger( "Stance: Strength" );
	configHelper:SetBuffTrigger( "Stance: Endurance" );
	configHelper:SetBuffTrigger( "Stance: Precision" );
	configHelper:SetBGColor( 0.35, 1, 0, 0 );
	configHelper:AddShortcut( 1, "0x70003F4E", 6, 6 );
	configHelper:AddShortcut( 2, "0x70003F4D", 6, 18 );
	configHelper:AddShortcut( 3, "0x70003F4F", 6, 28 );
	configHelper:AddShortcut( 4, "0x70010065", 6, 56 );
end

function HunterClass:Focus3( override )
	configHelper:CreateBar( override, "3 Focus", 2, 1, 4, 240, 350 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( HUNTER_FOCUS, 3, 9);
	configHelper:AddShortcut( 1, "0x70003F35", 6, 2 );
	configHelper:AddShortcut( 2, "0x70021D0D", 6, 20 );
	configHelper:AddShortcut( 3, "0x700030F3", 6, 34 );
	configHelper:AddShortcut( 4, "0x70003F36", 6, 44 );
end

function HunterClass:Focus6( override )
	configHelper:CreateBar( override, "6 Focus", 30, 1, 2, 240, 400 );
	configHelper:SetBuffTriggerOptions( true, false );
	configHelper:SetClassRangeTrigger( HUNTER_FOCUS, 6, 9);
	configHelper:AddShortcut( 1, "0x70003F37", 6, 30 );
	configHelper:AddShortcut( 1, "0x700153E5", 6, 52 );
	configHelper:AddShortcut( 2, "0x700010F4", 6, 41 );
end

function HunterClass:FindThePath( override )
	configHelper:CreateBar( override, "Find The Path", 14, 1, 1, 240, 450 );
	configHelper:SetBuffTriggerOptions( false, false );
	configHelper:SetBuffTrigger( "Find the Path" );
	configHelper:AddShortcut( 1, "0x70003F3D", 6, 14 );
end