-- Created by NuclearTonic
-- The use of this code requires the permission of the author.
-- Permission can be atained by contacting NuclearTonic at: TonicBars@gmail.com
--
-- RESPECT!

LoreMasterClass = class();

function LoreMasterClass:Constructor()
end

function LoreMasterClass:Constructor()
	configHelper:RegisterBarCreator( "Warding", 			"Warding", 		self.Warding );
	configHelper:RegisterBarCreator( "Sign of the Wild", 	"Wild", 		self.Wild );
	configHelper:RegisterBarCreator( "Sign of Power", 		"SoPower", 		self.SoPower );
	configHelper:RegisterBarCreator( "Lore", 				"Lore", 		self.Lore );
	configHelper:ConstructBars();
end

function LoreMasterClass:Warding( override )	
	configHelper:CreateBar( override, "Warding", 26, 1, 3, 240, 300 );
	configHelper:AddShortcut( 1, "0x7000B625", 6, 26 );
	configHelper:AddShortcut( 2, "0x7000B623", 6, 38 );
	configHelper:AddShortcut( 3, "0x7000B624", 6, 40 );
end

function LoreMasterClass:Wild( override )	
	configHelper:CreateBar( override, "Wild", 11, 1, 2, 240, 350 );
	configHelper:AddShortcut( 1, "0x7000312B", 6, 11 );
	configHelper:AddShortcut( 2, "0x70003139", 6, 14 );
	configHelper:AddShortcut( 2, "0x70028C98", 6, 65 );
end

function LoreMasterClass:SoPower( override )	
	configHelper:CreateBar( override, "SoPower", 1, 1, 4, 240, 400 );
	configHelper:AddShortcut( 1, "0x70003EBB", 6, 1 );
	configHelper:AddShortcut( 1, "0x70028B80", 6, 65 );
	configHelper:AddShortcut( 2, "0x70003EBC", 6, 24 );
	configHelper:AddShortcut( 3, "0x70003EBD", 6, 32 );
	configHelper:AddShortcut( 4, "0x7000F801", 6, 58 );
end

function LoreMasterClass:Lore( override )	
	configHelper:CreateBar( override, "Lore", 12, 1, 6, 240, 450 );
	configHelper:AddShortcut( 1, "0x70003EBE", 6, 12 );
	configHelper:AddShortcut( 2, "0x70003EBF", 6, 12 );
	configHelper:AddShortcut( 3, "0x70003EC0", 6, 36 );
	configHelper:AddShortcut( 4, "0x70024BE7", 6, 40 );
	configHelper:AddShortcut( 5, "0x7000B8AC", 6, 44 );
	configHelper:AddShortcut( 5, "0x70020DF7", 6, 64 );
	configHelper:AddShortcut( 6, "0x7000B63C", 6, 48 );
end